package cz.fidentis.analyst.comparison;

import cz.fidentis.analyst.mesh.core.MeshPoint;

/**
 * The pair of closest vertices and their distance.
 * 
 * @author Matej Lukes
 */
public class ClosestVertices {
    
    private MeshPoint firstVertex;
    private MeshPoint secondVertex;
    private double distance;

    /**
     * Constructor.
     * 
     * @param firstVertex Firt vertex of the pair
     * @param secondVertex Second vertex of the pair
     * @param distance Distance
     */
    public ClosestVertices(MeshPoint firstVertex, MeshPoint secondVertex, double distance) {
        this.firstVertex = firstVertex;
        this.secondVertex = secondVertex;
        this.distance = distance;
    }

    public MeshPoint getFirstVertex() {
        return firstVertex;
    }

    public MeshPoint getSecondVertex() {
        return secondVertex;
    }

    public double getDistance() {
        return distance;
    }
}
